## org.apache.poi.hssf.record
Class UnicodeString

    java.lang.Object
      org.apache.poi.hssf.record.common.UnicodeString
          org.apache.poi.hssf.record.UnicodeString

All Implemented Interfaces:
  java.lang.Comparable<UnicodeString>

Deprecated. Use `UnicodeString` instead

    public final class UnicodeString

extends UnicodeString

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.record.common.UnicodeString
`UnicodeString.ExtRst, UnicodeString.FormatRun, UnicodeString.PhRun`

Constructor Summary
`UnicodeString(RecordInputStream in)` Deprecated. Use `UnicodeString` instead
`UnicodeString(java.lang.String str)` Deprecated. Use `UnicodeString` instead

Method Summary

Methods inherited from class org.apache.poi.hssf.record.common.UnicodeString
`addFormatRun, clearFormatting, clone, compareTo, equals, formatIterator, getCharCount, getCharCountShort, getDebugInfo, getExtendedRst, getFormatRun, getFormatRunCount, getOptionFlags, getString, hashCode, removeFormatRun, serialize, setCharCount, setOptionFlags, setString, swapFontUse, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnicodeString

    public UnicodeString(RecordInputStream in)

  Deprecated. Use `UnicodeString` instead

### UnicodeString

    public UnicodeString(java.lang.String str)

  Deprecated. Use `UnicodeString` instead

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.